# frozen_string_literal: true

module AndriiCodebreaker
  module Constant
    LALA = 2
    NAME_MIN_LENGTH = 3
    NAME_MAX_LENGTH = 20
    CODE_START_LENGTH = 1
    CODE_LENGTH = 6
    CODE_LENGTH_COUNT = 4
    RANGE_SECRET_CODE = (CODE_START_LENGTH..CODE_LENGTH).freeze
    DIFFICULTY = {
      easy: { attempts: 15, hints: 2 },
      medium: { attempts: 10, hints: 1 },
      hell: { attempts: 5, hints: 1 }
    }.freeze
    DIFFICULTY_SORT = { easy: 1, medium: 2, hell: 3 }.freeze
    WIN = '++++'
    MINUS = '-'
    PLUS = '+'
  end
end
